Page MenuHomePhabricator

Change English language legal text about recurring on all forms (before April 18)
Closed, ResolvedPublic1 Story Points

Description

Needs to be deployed to paymentswiki and donatewiki.

Because of new legal requirements in Europe, we need to update our legal text around recurring donations.

New legal text for recurring payments:

For recurring donations, fixed monthly payments will be debited by the Wikimedia Foundation on the monthly anniversary of the first donation, until such time as you notify us to discontinue them. Donations initiated on the 29, 30, or 31 of the month will recur on the last day of the month for shorter months, as close to the original date as possible. For questions, please contact donate@wikimedia.org.

@Pcoombe wrote the patch - it just needs to be merged/deployed

Event Timeline

atgo created this task.Mar 27 2015, 8:45 PM
atgo assigned this task to Ppena.
atgo raised the priority of this task from to High.
atgo updated the task description. (Show Details)
atgo added a subscriber: atgo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2015, 8:45 PM

Pending confirmation of language changes

atgo set Security to None.Apr 1 2015, 9:37 PM
atgo edited a custom field.
atgo added a subscriber: pizzzacat.
atgo removed Ppena as the assignee of this task.Apr 6 2015, 9:23 PM
atgo updated the task description. (Show Details)
atgo updated the task description. (Show Details)
atgo assigned this task to Pcoombe.Apr 7 2015, 6:50 PM
atgo added a subscriber: Pcoombe.

@Pcoombe to let us know what the workflow is here

Change 203041 had a related patch set uploaded (by Pcoombe):
Change recurring info text for new legal requirements

https://gerrit.wikimedia.org/r/203041

atgo renamed this task from Change legal text about recurring on all forms to Change legal text about recurring on all forms (before April 18).Apr 9 2015, 4:21 PM
atgo removed Pcoombe as the assignee of this task.

Change 203041 merged by jenkins-bot:
Change recurring info text for new legal requirements

https://gerrit.wikimedia.org/r/203041

atgo updated the task description. (Show Details)

Change 204939 had a related patch set uploaded (by Awight):
Change recurring info text for new legal requirements

https://gerrit.wikimedia.org/r/204939

Change 204939 merged by jenkins-bot:
Change recurring info text for new legal requirements

https://gerrit.wikimedia.org/r/204939

awight updated the task description. (Show Details)Apr 17 2015, 10:20 PM
awight added a subscriber: awight.Apr 18 2015, 12:02 AM

This should be fully deployed to both donatewiki and paymentswiki, but I'm seeing the old text at https://donate.wikimedia.org/w/index.php?title=Special:FundraiserLandingPage&country=US&uselang=en&utm_medium=spontaneous&utm_source=fr-redir&utm_campaign=spontaneous&foo and the new text at https://donate.wikimedia.org/w/index.php?title=MediaWiki:donate_interface-monthly-cancel

I hope this is a caching thing, I guess I'll wait a few hours before panicking.

Thanks all!

@awight : that was just a local donate wiki snafu. We had some parserfunction code to show a slightly different message in English for some reason. I've changed it to just use the new, legally approved message.

@Pcoombe: Thanks for finding that!

awight closed this task as Resolved.Apr 20 2015, 6:32 PM
awight claimed this task.
atgo renamed this task from Change legal text about recurring on all forms (before April 18) to Change English language legal text about recurring on all forms (before April 18).Apr 20 2015, 6:32 PM

Updated title because there will be follow-on deployments for other languages.

Pcoombe reopened this task as Open.Apr 22 2015, 1:36 PM

Re-opening because I missed the "For recurring donations" added at the start of the message. New patch incoming...

Change 205849 had a related patch set uploaded (by Pcoombe):
Correct recurring info text

https://gerrit.wikimedia.org/r/205849

Change 205849 merged by jenkins-bot:
Correct recurring info text

https://gerrit.wikimedia.org/r/205849

Just a reminder - we need this to be on Donate and Payments in order to be
"done"

atgo reassigned this task from awight to Pcoombe.Apr 28 2015, 6:54 PM

@Pcoombe - could you update with the "For recurring donors" instead of "for recurring donations"? @jrobell pointed out that that's what was approved/translated. Sorry for the miss on that one.

Change 207180 had a related patch set uploaded (by Pcoombe):
Correct recurring info text again

https://gerrit.wikimedia.org/r/207180

Change 207180 merged by jenkins-bot:
Correct recurring info text again

https://gerrit.wikimedia.org/r/207180

Change 207992 had a related patch set uploaded (by Awight):
Correct recurring info text again

https://gerrit.wikimedia.org/r/207992

Change 207992 merged by jenkins-bot:
Correct recurring info text again

https://gerrit.wikimedia.org/r/207992

I've deployed to payments, but I'm letting donatewiki changes go out with the train (Tuesday, May 5 I think).

Thanks @awight. Let's wait to close this until @jrobell confirms it's right
in all the places next week.

@jrobell is off this week. I checked payments and donatewiki, looks good. Thanks!

atgo closed this task as Resolved.May 6 2015, 10:12 PM

@Pcoombe, @atgo: as confirmed over email, all translations are correctly showing up on payments wiki, but not on donatewiki however. Will they be updated at the same time as task T97556, on 5/12? [https://phabricator.wikimedia.org/T97556]

Thanks!

@jrobell Yes, I believe that's what will happen.

BTW, sorry everyone! I must have merged this change to the wrong deployment branch, hence the extra week's delay. I'll double-check the schedule next time I do something like this. There's always the immediate deployment option, or the "SWAT" compromise which is quite convenient for us as well, feel free to push back if this happens again.

@Pcoombe @atgo @awight,

Just closing the loop here confirming that this has been resolved and this task can be closed.

Thank you! :)

mmodell removed a subscriber: awight.Jun 22 2017, 9:38 PM